Package org.flowable.engine.migration

# Interface ProcessInstanceMigrationDocumentBuilder

public interface ProcessInstanceMigrationDocumentBuilder

Author:
  Dennis Federico, martin.grofcik

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProcessInstanceMigrationDocumentBuilder`
  `addActivityMigrationMapping(ActivityMigrationMapping activityMigrationMapping)`
  `ProcessInstanceMigrationDocumentBuilder`
  `addActivityMigrationMappings(List<ActivityMigrationMapping> activityMigrationMappings)`
  `ProcessInstanceMigrationDocumentBuilder`
  `addEnableActivityMapping(EnableActivityMapping enableActivityMapping)`
  `ProcessInstanceMigrationDocumentBuilder`
  `addEnableActivityMappings(List<EnableActivityMapping> enableActivityMappings)`
  `ProcessInstanceMigrationDocumentBuilder`
  `addProcessInstanceVariable(String variableName, Object variableValue)`
  `ProcessInstanceMigrationDocumentBuilder`
  `addProcessInstanceVariables(Map<String,Object> processInstanceVariables)`
  `ProcessInstanceMigrationDocument`
  `build()`
  `ProcessInstanceMigrationDocumentBuilder`
  `setPostUpgradeJavaDelegate(String javaDelegateClassName)`
  `ProcessInstanceMigrationDocumentBuilder`
  `setPostUpgradeJavaDelegateExpression(String expression)`
  `ProcessInstanceMigrationDocumentBuilder`
  `setPostUpgradeScript(Script script)`
  `ProcessInstanceMigrationDocumentBuilder`
  `setPreUpgradeJavaDelegate(String javaDelegateClassName)`
  `ProcessInstanceMigrationDocumentBuilder`
  `setPreUpgradeJavaDelegateExpression(String expression)`
  `ProcessInstanceMigrationDocumentBuilder`
  `setPreUpgradeScript(Script script)`
  `ProcessInstanceMigrationDocumentBuilder`
  `setProcessDefinitionToMigrateTo(String processDefinitionId)`
  `ProcessInstanceMigrationDocumentBuilder`
  `setProcessDefinitionToMigrateTo(String processDefinitionKey, Integer processDefinitionVersion)`
  `ProcessInstanceMigrationDocumentBuilder`
  `setTenantId(String processDefinitionTenantId)`

- ## Method Details

  - ### setProcessDefinitionToMigrateTo

    ProcessInstanceMigrationDocumentBuilder setProcessDefinitionToMigrateTo(String processDefinitionId)

  - ### setProcessDefinitionToMigrateTo

    ProcessInstanceMigrationDocumentBuilder setProcessDefinitionToMigrateTo(String processDefinitionKey, Integer processDefinitionVersion)

  - ### setTenantId

    ProcessInstanceMigrationDocumentBuilder setTenantId(String processDefinitionTenantId)

  - ### setPreUpgradeScript

    ProcessInstanceMigrationDocumentBuilder setPreUpgradeScript(Script script)

  - ### setPreUpgradeJavaDelegate

    ProcessInstanceMigrationDocumentBuilder setPreUpgradeJavaDelegate(String javaDelegateClassName)

  - ### setPreUpgradeJavaDelegateExpression

    ProcessInstanceMigrationDocumentBuilder setPreUpgradeJavaDelegateExpression(String expression)

  - ### setPostUpgradeScript

    ProcessInstanceMigrationDocumentBuilder setPostUpgradeScript(Script script)

  - ### setPostUpgradeJavaDelegate

    ProcessInstanceMigrationDocumentBuilder setPostUpgradeJavaDelegate(String javaDelegateClassName)

  - ### setPostUpgradeJavaDelegateExpression

    ProcessInstanceMigrationDocumentBuilder setPostUpgradeJavaDelegateExpression(String expression)

  - ### addActivityMigrationMappings

    ProcessInstanceMigrationDocumentBuilder addActivityMigrationMappings(List<ActivityMigrationMapping> activityMigrationMappings)

  - ### addActivityMigrationMapping

    ProcessInstanceMigrationDocumentBuilder addActivityMigrationMapping(ActivityMigrationMapping activityMigrationMapping)

  - ### addEnableActivityMappings

    ProcessInstanceMigrationDocumentBuilder addEnableActivityMappings(List<EnableActivityMapping> enableActivityMappings)

  - ### addEnableActivityMapping

    ProcessInstanceMigrationDocumentBuilder addEnableActivityMapping(EnableActivityMapping enableActivityMapping)

  - ### addProcessInstanceVariable

    ProcessInstanceMigrationDocumentBuilder addProcessInstanceVariable(String variableName, Object variableValue)

  - ### addProcessInstanceVariables

    ProcessInstanceMigrationDocumentBuilder addProcessInstanceVariables(Map<String,Object> processInstanceVariables)

  - ### build

    ProcessInstanceMigrationDocument build()